apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null  
  labels:
    app: config-loader
    module: middleware
    type: api    
  name: config-loader
spec:
  replicas: 1
  selector:
    matchLabels:
      app: config-loader
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: config-loader
    spec:
      containers:
      - image: localhost:32000/configurationloader:latest
        name:  config-loader        
        env:
        - name: TYPE
          value: "service-configuration"
        - name: "OFL_MED_DB_CONNSTR"
          value: "oracle-db.medulla.svc.cluster.local:49161/XE"
        - name: "OFL_MED_DB_USER"
          value: miscatalog
        - name: OFL_MED_DB_PASS
          value: "m!sc@tal0g"      
        - name: OFL_MED_DB_MAXPOOL
          value: "10"
        - name: OFL_MED_DB_MINPOOL
          value: "3"
        - name: POOLINTERVAL
          value: "30"       
        - name: REDISHOST
          value: "medulla-redis-master"       
        - name: REDISPORT
          value: "6379"                              
        resources: {}      
status: {}    